List market events
curl --request GET \
--url https://api.example.com/api/events/listimport requests
url = "https://api.example.com/api/events/list"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/events/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/events/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/events/list"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/events/list")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/events/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"events": [
{
"event_id": "<string>",
"event_title": "<string>",
"icon": "<string>",
"source": "<string>",
"event_slug": "<string>",
"market_count": 0,
"is_paired": false,
"sources": [
"<string>"
],
"outcomes": [
{
"name": "<string>",
"chance": 123,
"market_id": "<string>"
}
],
"transactions": 0,
"volume": 0,
"tags": [
"<string>"
],
"category": "<string>"
}
],
"offset": 0,
"limit": 100,
"count": 0,
"total": 0,
"cached": false,
"generated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}events
List market events
Returns the main list of market events with pagination and optional filters by platform and category. You can also change the order of results with the sort parameter.
GET
/
api
/
events
/
list
List market events
curl --request GET \
--url https://api.example.com/api/events/listimport requests
url = "https://api.example.com/api/events/list"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/events/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/events/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/events/list"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/events/list")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/events/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"events": [
{
"event_id": "<string>",
"event_title": "<string>",
"icon": "<string>",
"source": "<string>",
"event_slug": "<string>",
"market_count": 0,
"is_paired": false,
"sources": [
"<string>"
],
"outcomes": [
{
"name": "<string>",
"chance": 123,
"market_id": "<string>"
}
],
"transactions": 0,
"volume": 0,
"tags": [
"<string>"
],
"category": "<string>"
}
],
"offset": 0,
"limit": 100,
"count": 0,
"total": 0,
"cached": false,
"generated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Query Parameters
Zero-based offset in the filtered events list.
Required range:
x >= 0Maximum number of events to return.
Required range:
1 <= x <= 1000Optional comma-separated platform ids, for example polymarket,opinion.
Optional category slug used by the events feed filter.
Optional sort mode. Use new to show newer events first or breaking to show the most active events first.
